## nds2-io-node 0.1.2.202305182104d4f4b77e5e

=== debian/changelog ===
nds2-io-node (0.1.2.202305182104d4f4b77e5e) UNRELEASED; urgency=medium

  * CI Build for testing only

 -- root <root@7baaf7779add>  Thu, 18 May 2023 21:04:18 +0000

nds2-io-node (0.1.2) unstable; urgency=medium

  * Closes issue #11, error reading gwf files with multiple frames when the
    max cache size is smaller than the frame length.
  * Update the logging to explicitly include pids to help
    identify child processes/requests better on all platforms.
  * Closes issue #12, allow a way to skip checking if a frame is on disk/tape
    if we can say there is no tape system for that area.

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Thu, 18 May 2023 14:01:09 -0700

nds2-io-node (0.1.1) unstable; urgency=medium

  * Bugfix release
    * Closes issue #9, remove a very low client count limit.
    * Closes issue #10, work around metadata server issue when a channel list
      contains a name that is a prefix of all the other channel names.

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Tue, 09 May 2023 16:17:40 -0700

nds2-io-node (0.1.0) unstable; urgency=medium

  * Version bump to denote that it is not v0 and is in use.
  * Update to the readme.
  * No code changes.

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Thu, 18 Aug 2022 14:22:29 -0700

nds2-io-node (0.0.3) unstable; urgency=medium

  * Close issue #7,  disk cache on the production systems sometimes gives
    inefficient frame paths.  Try to use known faster paths.

 -- Jonathan Hanks <jonathan.hanks@devbox.localdomain>  Mon, 01 Aug 2022 11:05:33 -0700

nds2-io-node (0.0.2) unstable; urgency=medium

  * Close issue #6, keep errors in the python-memcached client from crashing a
    request

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Wed, 20 Jul 2022 15:45:25 -0700

nds2-io-node (0.0.1) unstable; urgency=medium

  * Updates to work with daqd_stream in a multi input stream mode.
  * Fixed packaging to require python3-netifaces

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Fri, 25 Feb 2022 11:57:23 -0800

nds2-io-node (0.0.0) unstable; urgency=medium

  * Initial Release.

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Wed, 12 Aug 2020 23:55:30 -0700
