=== debian/control ===
Source: nds2-io-node
Section: unknown
Priority: optional
Maintainer: Jonathan Hanks <jonathan.hanks@ligo.org>
Build-Depends: debhelper (>= 11),
Standards-Version: 4.1.3
Homepage: git.ligo.org/nds/nds2-distributed-server
#Vcs-Browser: https://salsa.debian.org/debian/nds2-io-node
#Vcs-Git: https://salsa.debian.org/debian/nds2-io-node.git

Package: nds2-io-node
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python3,
 python3-numpy,
 python3-nds2-client,
 python3-ldas-tools-framecpp,
 python3-coverage,
 python3-memcache,
 python3-six,
 python3-requests,
 python3-statsd,
 python3-netifaces,
 ${python3:Depends},
Recommends:
 python3-daqd-stream,
 daqd-stream-server,
Description: A io node for a distributed nds2 server
 NDS is the system used to distribute time series data from LIGO gravitation
 wave data stores.  This package provides an io reader suitable for distribution
 through a compute cluster or server cluster to distribute the reading of data
 across a large number of systems.
